###########################################################################
#
# This file is auto-generated by the Perl DateTime Suite locale
# generator (0.05).  This code generator comes with the
# DateTime::Locale distribution in the tools/ directory, and is called
# generate-from-cldr.
#
# This file as generated from the CLDR XML locale data.  See the
# LICENSE.cldr file included in this distribution for license details.
#
# This file was generated from the source file zh_SG.xml
# The source file version number was 1.41, generated on
# 2007/07/14 23:02:17.
#
# Do not edit this file directly.
#
###########################################################################

package DateTime::Locale::zh_SG;

use strict;
use warnings;
use utf8;

use base 'DateTime::Locale::zh_Hans_SG';

{
    my $first_day_of_week = 7;
    sub first_day_of_week { return $first_day_of_week }
}

1;

__END__


=pod

=encoding utf8

=head1 NAME

DateTime::Locale::zh_SG

=head1 SYNOPSIS

  use DateTime;

  my $dt = DateTime->now( locale => 'zh_SG' );
  print $dt->month_name();

=head1 DESCRIPTION

This is the DateTime locale package for Chinese Singapore.

=head1 DATA

This locale inherits from the L<DateTime::Locale::zh_Hans_SG> locale.

It contains the following data.

=head2 Days

=head3 Wide (format)

  星期一
  星期二
  星期三
  星期四
  星期五
  星期六
  星期日

=head3 Abbreviated (format)

  周一
  周二
  周三
  周四
  周五
  周六
  周日

=head3 Narrow (format)

  一
  二
  三
  四
  五
  六
  日

=head3 Wide (stand-alone)

  星期一
  星期二
  星期三
  星期四
  星期五
  星期六
  星期日

=head3 Abbreviated (stand-alone)

  周一
  周二
  周三
  周四
  周五
  周六
  周日

=head3 Narrow (stand-alone)

  一
  二
  三
  四
  五
  六
  日

=head2 Months

=head3 Wide (format)

  1
  2
  3
  4
  5
  6
  7
  8
  9
  10
  11
  12

=head3 Abbreviated (format)

  1
  2
  3
  4
  5
  6
  7
  8
  9
  10
  11
  12

=head3 Narrow (format)

  1月
  2月
  3月
  4月
  5月
  6月
  7月
  8月
  9月
  10月
  11月
  12月

=head3 Wide (stand-alone)

  一月
  二月
  三月
  四月
  五月
  六月
  七月
  八月
  九月
  十月
  十一月
  十二月

=head3 Abbreviated (stand-alone)

  一月
  二月
  三月
  四月
  五月
  六月
  七月
  八月
  九月
  十月
  十一月
  十二月

=head3 Narrow (stand-alone)

  1月
  2月
  3月
  4月
  5月
  6月
  7月
  8月
  9月
  10月
  11月
  12月

=head2 Quarters

=head3 Wide (format)

  第1季度
  第2季度
  第3季度
  第4季度

=head3 Abbreviated (format)

  第一季度
  第二季度
  第三季度
  第四季度

=head3 Narrow (format)

  1
  2
  3
  4

=head3 Wide (stand-alone)

  第1季度
  第2季度
  第3季度
  第4季度

=head3 Abbreviated (stand-alone)

  第一季度
  第二季度
  第三季度
  第四季度

=head3 Narrow (stand-alone)

  1
  2
  3
  4

=head2 Eras

=head3 Wide

  公元前
  公元

=head3 Abbreviated

  公元前
  公元

=head3 Narrow

  公元前
  公元

=head2 Date Formats

=head3 Full

   2008-02-05T12:30:30 = 05 2 2008
   1995-12-22T09:05:02 = 22 12 1995
  -0010-12-22T23:05:02 = 22 12 -010

=head3 Long

   2008-02-05T12:30:30 = 05 2 2008
   1995-12-22T09:05:02 = 22 12 1995
  -0010-12-22T23:05:02 = 22 12 -010

=head3 Medium

   2008-02-05T12:30:30 = 05-2-8
   1995-12-22T09:05:02 = 22-12-95
  -0010-12-22T23:05:02 = 22-12-10

=head3 Short

   2008-02-05T12:30:30 = 05/02/8
   1995-12-22T09:05:02 = 22/12/95
  -0010-12-22T23:05:02 = 22/12/10

=head3 Default

   2008-02-05T12:30:30 = 05-2-8
   1995-12-22T09:05:02 = 22-12-95
  -0010-12-22T23:05:02 = 22-12-10

=head2 Time Formats

=head3 Full

   2008-02-05T12:30:30 = 下午 12:30:30
   1995-12-22T09:05:02 = 上午 09:05:02
  -0010-12-22T23:05:02 = 下午 11:05:02

=head3 Long

   2008-02-05T12:30:30 = 下午 12:30:30 UTC
   1995-12-22T09:05:02 = 上午 09:05:02 UTC
  -0010-12-22T23:05:02 = 下午 11:05:02 UTC

=head3 Medium

   2008-02-05T12:30:30 = 下午 12:30
   1995-12-22T09:05:02 = 上午 09:05
  -0010-12-22T23:05:02 = 下午 11:05

=head3 Short

   2008-02-05T12:30:30 = 下午 12:30
   1995-12-22T09:05:02 = 上午 09:05
  -0010-12-22T23:05:02 = 下午 11:05

=head3 Default

   2008-02-05T12:30:30 = 下午 12:30
   1995-12-22T09:05:02 = 上午 09:05
  -0010-12-22T23:05:02 = 下午 11:05

=head2 Datetime Formats

=head3 Full

   2008-02-05T12:30:30 = 05 2 2008 下午 12:30:30
   1995-12-22T09:05:02 = 22 12 1995 上午 09:05:02
  -0010-12-22T23:05:02 = 22 12 -010 下午 11:05:02

=head3 Long

   2008-02-05T12:30:30 = 05 2 2008 下午 12:30:30 UTC
   1995-12-22T09:05:02 = 22 12 1995 上午 09:05:02 UTC
  -0010-12-22T23:05:02 = 22 12 -010 下午 11:05:02 UTC

=head3 Medium

   2008-02-05T12:30:30 = 05-2-8 下午 12:30
   1995-12-22T09:05:02 = 22-12-95 上午 09:05
  -0010-12-22T23:05:02 = 22-12-10 下午 11:05

=head3 Short

   2008-02-05T12:30:30 = 05/02/8 下午 12:30
   1995-12-22T09:05:02 = 22/12/95 上午 09:05
  -0010-12-22T23:05:02 = 22/12/10 下午 11:05

=head3 Default

   2008-02-05T12:30:30 = 05-2-8 下午 12:30
   1995-12-22T09:05:02 = 22-12-95 上午 09:05
  -0010-12-22T23:05:02 = 22-12-10 下午 11:05

=head2 Available Formats

=head3 Ed (E d)

   2008-02-05T12:30:30 = 周二 5
   1995-12-22T09:05:02 = 周五 22
  -0010-12-22T23:05:02 = 周六 22

=head3 H (H)

   2008-02-05T12:30:30 = 12
   1995-12-22T09:05:02 = 9
  -0010-12-22T23:05:02 = 23

=head3 HHmm (HH:mm)

   2008-02-05T12:30:30 = 12:30
   1995-12-22T09:05:02 = 09:05
  -0010-12-22T23:05:02 = 23:05

=head3 HHmmss (HH:mm:ss)

   2008-02-05T12:30:30 = 12:30:30
   1995-12-22T09:05:02 = 09:05:02
  -0010-12-22T23:05:02 = 23:05:02

=head3 MMMEd (E MMM d)

   2008-02-05T12:30:30 = 周二 2 5
   1995-12-22T09:05:02 = 周五 12 22
  -0010-12-22T23:05:02 = 周六 12 22

=head3 MMMMd (MMMM d)

   2008-02-05T12:30:30 = 2 5
   1995-12-22T09:05:02 = 12 22
  -0010-12-22T23:05:02 = 12 22

=head3 MMMMdd (dd MMMM)

   2008-02-05T12:30:30 = 05 2
   1995-12-22T09:05:02 = 22 12
  -0010-12-22T23:05:02 = 22 12

=head3 MMdd (dd/MM)

   2008-02-05T12:30:30 = 05/02
   1995-12-22T09:05:02 = 22/12
  -0010-12-22T23:05:02 = 22/12

=head3 Md (M月d日)

   2008-02-05T12:30:30 = 2月5日
   1995-12-22T09:05:02 = 12月22日
  -0010-12-22T23:05:02 = 12月22日

=head3 mmss (mm:ss)

   2008-02-05T12:30:30 = 30:30
   1995-12-22T09:05:02 = 05:02
  -0010-12-22T23:05:02 = 05:02

=head3 yyMM (MM/yy)

   2008-02-05T12:30:30 = 02/8
   1995-12-22T09:05:02 = 12/95
  -0010-12-22T23:05:02 = 12/10

=head3 yyMMM (yy年MMM月)

   2008-02-05T12:30:30 = 8年2月
   1995-12-22T09:05:02 = 95年12月
  -0010-12-22T23:05:02 = 10年12月

=head3 yyQ (yy年第Q季度)

   2008-02-05T12:30:30 = 8年第1季度
   1995-12-22T09:05:02 = 95年第4季度
  -0010-12-22T23:05:02 = 10年第4季度

=head3 yyyy (yyyy)

   2008-02-05T12:30:30 = 2008
   1995-12-22T09:05:02 = 1995
  -0010-12-22T23:05:02 = -010

=head3 yyyyM (yyyy年M月)

   2008-02-05T12:30:30 = 2008年2月
   1995-12-22T09:05:02 = 1995年12月
  -0010-12-22T23:05:02 = -010年12月

=head3 yyyyMMMM (MMMM yyyy)

   2008-02-05T12:30:30 = 2 2008
   1995-12-22T09:05:02 = 12 1995
  -0010-12-22T23:05:02 = 12 -010

=head2 Miscellaneous

=head3 Prefers 24 hour time?

No

=head3 Local first day of the week

星期日


=head1 SUPPORT

See L<DateTime::Locale>.

=head1 AUTHOR

Dave Rolsky <autarch@urth.org>

=head1 COPYRIGHT

Copyright (c) 2008 David Rolsky. All rights reserved. This program is
free software; you can redistribute it and/or modify it under the same
terms as Perl itself.

This module was generated from data provided by the CLDR project, see
the LICENSE.cldr in this distribution for details on the CLDR data's
license.

=cut
